Bug 46684 - univention-upgrade may exit with an error when upgrading certain Apps
univention-upgrade may exit with an error when upgrading certain Apps
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks: 46703
  Show dependency treegraph
 
Reported: 2018-03-16 15:30 CET by Dirk Wiesenthal
Modified: 2018-03-21 13:27 CET (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 4: A User would return the product
User Pain: 0.229
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2018-03-16 15:30:15 CET
The error is in docker_base.py (_execute_container_script):

with open(password_file.name, 'w') as f:
	f.write(password)

raises if password is None. This may happen on a DC Master with univention-upgrade, because the DC Master currently may _think_ a password is available because he always has an adminConnection.
Comment 1 Dirk Wiesenthal univentionstaff 2018-03-16 15:33:59 CET
Fixed in
  univention-appcenter 7.0.1-30A~4.3.0.201803161532
Comment 2 Felix Botner univentionstaff 2018-03-20 17:58:02 CET
OK - univention-appcenter
OK - yaml
Comment 3 Arvid Requate univentionstaff 2018-03-21 13:27:31 CET
<http://errata.software-univention.de/ucs/4.3/2.html>